--print("Setting Up Pause Menu")
clearMenu();
--menu config
--button description, lua string, title
--slider description, command, initial value

setMenuButton(menu_boxMetal);
setMenuBullet(menu_bullet);
setMenuSlider(menu_slider);

setMenuEscape("gofile(\"menu/menu_pause.lua\")");
setBackDrop(18,16.5,50,35,menu_backdrop, 1.0);

addMenuButton("Game Paused", " ", true);


addMenuButton("Save Game", "saveGame(getPlayerName()); popMenuInfo(\"Game Saved!\", \"Okay\", \"deactivateMenu()\")", false);
addMenuButton("Load Game", "gofile(\"control.lua\");loadGame(getPlayerName())", false);
addMenuButton("CutScenes", "gofile(\"menu/menu_cutscenes.lua\")", false);
addMenuButton("Test Gunshop", "gofile(\"store/store_netguns.lua\")", false);
addMenuButton("Test Garage", "gofile(\"store/store_dealer.lua\")", false);
addMenuButton("Test Trader", "gofile(\"store/store_trader.lua\")", false);
addMenuButton("Test Job Board", "gofile(\"store/store_missions.lua\")", false);
addMenuButton("Level Up", "gofile(\"menu/perk_select.lua\")", false);
addMenuButton("Back", "gofile(\"menu/menu_pause.lua\")", false);

autoSizeBackDrop();
activateMenu();